Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.resources
Class CinemaResources

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.cinema.resources.CinemaResources

public class CinemaResources
extends Object

CinemaResources.java The purpose of this class is to provide access to the resources that cinema needs in a manner which is appropriate and simple both during development time and after deployment. Created: Mon May 29 16:44:01 2000

Version:
  $Id: CinemaResources.java,v 1.9 2001/05/04 12:30:33 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaResources()`

Method Summary
`static String` | `fetchCinemaDirectoryString()`
`static String` | `fetchModuleSystemIdentifier()`
`static InputStream` | `getModuleDTDAsResource()`
`static URL` | `getResource(String name)`
`static File` | `getUserExtensions()`
`static File` | `getUserPersist()`
`static InputStream` | `resolveXMLLoadName(String loadName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaResources

    public CinemaResources()

Method Detail

### getResource

    public static URL getResource(String name)

### getUserExtensions

    public static File getUserExtensions()

### getUserPersist

    public static File getUserPersist()

### resolveXMLLoadName

    public static InputStream resolveXMLLoadName(String loadName)
                                          throws IOException

    `IOException`

### getModuleDTDAsResource

    public static InputStream getModuleDTDAsResource()

### fetchModuleSystemIdentifier

    public static String fetchModuleSystemIdentifier()

### fetchCinemaDirectoryString

    public static String fetchCinemaDirectoryString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD